## Update a user seat `client.zeroTrust.seats.edit(SeatEditParamsparams, RequestOptionsoptions?): SinglePage` **patch** `/accounts/{account_id}/access/seats` Removes a user from a Zero Trust seat when both `access_seat` and `gateway_seat` are set to false. ### Parameters - `params: SeatEditParams` - `account_id: string` Path param: Identifier. - `body: Array` Body param - `access_seat: boolean` True if the seat is part of Access. - `gateway_seat: boolean` True if the seat is part of Gateway. - `seat_uid: string` The unique API identifier for the Zero Trust seat. ### Returns - `Seat` - `access_seat?: boolean` True if the seat is part of Access. - `created_at?: string` - `gateway_seat?: boolean` True if the seat is part of Gateway. - `seat_uid?: string` The unique API identifier for the Zero Trust seat. - `updated_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const seat of client.zeroTrust.seats.edit({ account_id: '699d98642c564d2e855e9661899b7252', body: [ { access_seat: false, gateway_seat: false, seat_uid: 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', }, ], })) { console.log(seat.seat_uid); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "access_seat": false, "created_at": "2014-01-01T05:20:00.12345Z", "gateway_seat": false, "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "updated_at": "2014-01-01T05:20:00.12345Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```